package com.bocloud.ims.interfaces.installation;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.installation.YumRepo;

public interface YumRepoService {

	BocloudResult create(YumRepo repo, Long userId);

	BocloudResult list(String name, String type);

	BocloudResult delete(String name, Long userId);

	BocloudResult modify(YumRepo repo, Long userId);

	BocloudResult configure(YumRepo repo, RequestContext context);
}
